Package javax.help.event

# Class HelpModelEvent

java.lang.Object
java.util.EventObject
javax.help.event.HelpModelEvent

All Implemented Interfaces:
  `Serializable`

public class HelpModelEvent extends EventObject
Notifies interested parties that a change in a Help Model source has occurred.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HelpModelEvent(Object source, int pos0, int pos1)`
Creates a HelpModelEvent for highlighting.
`HelpModelEvent(Object source, Map.ID id, URL url)`
Represents a change in the JavaHelp in the current ID or URL.
`HelpModelEvent(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)`
Represents a change in the JavaHelp in the current ID or URL.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHistoryName()`
Returns the name of this entry
`Map.ID`
`getID()`
Returns the current ID in the HelpModel.
`JHelpNavigator`
`getNavigator()`
Returns the navigator of this entry
`int`
`getPos0()`
`int`
`getPos1()`
`URL`
`getURL()`
Returns the current URL in the HelpModel.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HelpModelEvent

public HelpModelEvent(Object source, Map.ID id, URL url)
Represents a change in the JavaHelp in the current ID or URL.

Parameters:
  `source` - The source for this event.
  `id` - The ID that has changed. Should be null if URL is specified.
  `url` - The URL that has changed. Should be null if ID is specified.
Throws:
  `IllegalArgumentException` - if source is null.
  `IllegalArgumentException` - of both ID and URL are null.
See Also:
  - invalid reference

        javax.help.JavaHelp

### HelpModelEvent

public HelpModelEvent(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)
Represents a change in the JavaHelp in the current ID or URL.

Parameters:
  `source` - The source for this event.
  `id` - The ID that has changed. Should be null if URL is specified.
  `url` - The URL that has changed. Should be null if ID is specified.
  `historyName` - The name of selected entry
  `navigator` - The JHelpNavigator
Throws:
  `IllegalArgumentException` - if source is null.
  `IllegalArgumentException` - of both ID and URL are null.
See Also:
  - invalid reference

        javax.help.JavaHelp

### HelpModelEvent

public HelpModelEvent(Object source, int pos0, int pos1)
Creates a HelpModelEvent for highlighting.

Parameters:
  `source` - The source for this event.
  `pos0` - Start position.
  `pos1` - End position.
Throws:
  `IllegalArgumentException` - if source is null.

## Method Details

### getID

public Map.ID getID()
Returns the current ID in the HelpModel.

Returns:
  The current ID.

### getURL

public URL getURL()
Returns the current URL in the HelpModel.

Returns:
  The current URL.

### getHistoryName

public String getHistoryName()
Returns the name of this entry

Returns:
  The entry name

### getNavigator

public JHelpNavigator getNavigator()
Returns the navigator of this entry

Returns:
  The navigator name

### getPos0

public int getPos0()

Returns:
  The start position of this (highlighting) event.

### getPos1

public int getPos1()

Returns:
  The end position of this (highlighting) event.